VirtuousAI
Reference

Rooms

List Rooms

GET
/api/v1/rooms

Query Parameters

state?|
include_archived?boolean
Defaultfalse
limit?integer
Default50
Range1 <= value <= 100
offset?integer
Default0
Range0 <= value

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/rooms"
{
  "items": [
    {
      "accessPolicy": "invite_only",
      "actorIsOwner": true,
      "actorIsParticipant": true,
      "actorPendingInvitationId": "0144f240-2a8d-4196-ad5a-b485459435f9",
      "archivedAt": "2019-08-24T14:15:22Z",
      "archivedByDisplayName": "string",
      "archivedByKind": "human",
      "archivedByMembershipId": "fcd2cf51-37f5-43e3-8e1a-0f94165f4caa",
      "archivedByRoleDocumentVersionId": "30daefbe-f17f-472c-9430-4931cda8ef93",
      "createdAt": "2019-08-24T14:15:22Z",
      "createdByDisplayName": "string",
      "createdByKind": "human",
      "createdByMembershipId": "33f683e0-0219-4c3c-893d-39990974287d",
      "createdByRoleDocumentVersionId": "034f09a0-770a-4215-9816-7915f896ba01",
      "description": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "participants": [
        {
          "agentEnabled": true,
          "createdAt": "2019-08-24T14:15:22Z",
          "displayName": "string",
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "joinedAt": "2019-08-24T14:15:22Z",
          "leftAt": "2019-08-24T14:15:22Z",
          "membershipId": "8072cc74-4782-4f2c-827c-699c48ce2092",
          "participantKind": "human",
          "profilePictureUrl": "string",
          "roleDocumentId": "a94e1437-edb5-4d8f-8082-8e6bfd97d885",
          "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
          "updatedAt": "2019-08-24T14:15:22Z"
        }
      ],
      "rulesDocumentId": "d4ac63fa-026f-4a3e-a7a6-0fe06012b8e5",
      "state": "active",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Create Room

POST
/api/v1/rooms

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

description?|
name*string
Length1 <= length <= 255
rulesDocumentId?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/rooms" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "accessPolicy": "invite_only",
  "actorIsOwner": true,
  "actorIsParticipant": true,
  "actorPendingInvitationId": "0144f240-2a8d-4196-ad5a-b485459435f9",
  "archivedAt": "2019-08-24T14:15:22Z",
  "archivedByDisplayName": "string",
  "archivedByKind": "human",
  "archivedByMembershipId": "fcd2cf51-37f5-43e3-8e1a-0f94165f4caa",
  "archivedByRoleDocumentVersionId": "30daefbe-f17f-472c-9430-4931cda8ef93",
  "createdAt": "2019-08-24T14:15:22Z",
  "createdByDisplayName": "string",
  "createdByKind": "human",
  "createdByMembershipId": "33f683e0-0219-4c3c-893d-39990974287d",
  "createdByRoleDocumentVersionId": "034f09a0-770a-4215-9816-7915f896ba01",
  "description": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "participants": [
    {
      "agentEnabled": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "displayName": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "joinedAt": "2019-08-24T14:15:22Z",
      "leftAt": "2019-08-24T14:15:22Z",
      "membershipId": "8072cc74-4782-4f2c-827c-699c48ce2092",
      "participantKind": "human",
      "profilePictureUrl": "string",
      "roleDocumentId": "a94e1437-edb5-4d8f-8082-8e6bfd97d885",
      "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "rulesDocumentId": "d4ac63fa-026f-4a3e-a7a6-0fe06012b8e5",
  "state": "active",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

List Agent Roles

GET
/api/v1/rooms/agent-roles

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/rooms/agent-roles"
{
  "items": [
    {
      "displayName": "string",
      "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052",
      "documentVersionId": "d362740e-028b-4a92-841c-1ec552a1ee56",
      "version": 0
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

List Rules Documents

GET
/api/v1/rooms/rules

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/rooms/rules"
{
  "items": [
    {
      "displayName": "string",
      "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052",
      "documentVersionId": "d362740e-028b-4a92-841c-1ec552a1ee56",
      "version": 0
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Get Room

GET
/api/v1/rooms/{room_id}

Path Parameters

room_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "accessPolicy": "invite_only",
  "actorIsOwner": true,
  "actorIsParticipant": true,
  "actorPendingInvitationId": "0144f240-2a8d-4196-ad5a-b485459435f9",
  "archivedAt": "2019-08-24T14:15:22Z",
  "archivedByDisplayName": "string",
  "archivedByKind": "human",
  "archivedByMembershipId": "fcd2cf51-37f5-43e3-8e1a-0f94165f4caa",
  "archivedByRoleDocumentVersionId": "30daefbe-f17f-472c-9430-4931cda8ef93",
  "createdAt": "2019-08-24T14:15:22Z",
  "createdByDisplayName": "string",
  "createdByKind": "human",
  "createdByMembershipId": "33f683e0-0219-4c3c-893d-39990974287d",
  "createdByRoleDocumentVersionId": "034f09a0-770a-4215-9816-7915f896ba01",
  "description": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "participants": [
    {
      "agentEnabled": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "displayName": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "joinedAt": "2019-08-24T14:15:22Z",
      "leftAt": "2019-08-24T14:15:22Z",
      "membershipId": "8072cc74-4782-4f2c-827c-699c48ce2092",
      "participantKind": "human",
      "profilePictureUrl": "string",
      "roleDocumentId": "a94e1437-edb5-4d8f-8082-8e6bfd97d885",
      "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "rulesDocumentId": "d4ac63fa-026f-4a3e-a7a6-0fe06012b8e5",
  "state": "active",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Archive Room

POST
/api/v1/rooms/{room_id}/archive

Path Parameters

room_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/archive"
{
  "accessPolicy": "invite_only",
  "actorIsOwner": true,
  "actorIsParticipant": true,
  "actorPendingInvitationId": "0144f240-2a8d-4196-ad5a-b485459435f9",
  "archivedAt": "2019-08-24T14:15:22Z",
  "archivedByDisplayName": "string",
  "archivedByKind": "human",
  "archivedByMembershipId": "fcd2cf51-37f5-43e3-8e1a-0f94165f4caa",
  "archivedByRoleDocumentVersionId": "30daefbe-f17f-472c-9430-4931cda8ef93",
  "createdAt": "2019-08-24T14:15:22Z",
  "createdByDisplayName": "string",
  "createdByKind": "human",
  "createdByMembershipId": "33f683e0-0219-4c3c-893d-39990974287d",
  "createdByRoleDocumentVersionId": "034f09a0-770a-4215-9816-7915f896ba01",
  "description": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "participants": [
    {
      "agentEnabled": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "displayName": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "joinedAt": "2019-08-24T14:15:22Z",
      "leftAt": "2019-08-24T14:15:22Z",
      "membershipId": "8072cc74-4782-4f2c-827c-699c48ce2092",
      "participantKind": "human",
      "profilePictureUrl": "string",
      "roleDocumentId": "a94e1437-edb5-4d8f-8082-8e6bfd97d885",
      "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "rulesDocumentId": "d4ac63fa-026f-4a3e-a7a6-0fe06012b8e5",
  "state": "active",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

List Room Events

GET
/api/v1/rooms/{room_id}/events

Path Parameters

room_id*string
Formatuuid

Query Parameters

beforeSeq?|
afterSeq?|
limit?integer
Default50
Range1 <= value <= 100

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/events"
{
  "items": [
    {
      "actor": {
        "displayName": "string",
        "kind": "string",
        "membershipId": "8072cc74-4782-4f2c-827c-699c48ce2092",
        "roleDocumentVersionId": "9c5657e5-ecfb-4d0b-8da3-2fd0a3dbe20f"
      },
      "createdAt": "2019-08-24T14:15:22Z",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "payload": {},
      "render": {
        "fallbackText": "string",
        "rendererKey": "string",
        "rendererVersion": 0,
        "slot": "string"
      },
      "schemaVersion": 0,
      "seq": 0,
      "subject": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "kind": "string"
      },
      "type": "string"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

List Room Invitations

GET
/api/v1/rooms/{room_id}/invitations

Path Parameters

room_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/invitations"
{
  "items": [
    {
      "acceptedParticipantId": "a2067398-5a3a-4f71-982b-40bf53ea56c6",
      "createdAt": "2019-08-24T14:15:22Z",
      "expiresAt": "2019-08-24T14:15:22Z",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "invitedByMembershipId": "88a2d65b-ea5c-4597-9597-76e221511c17",
      "inviteeDisplayName": "string",
      "inviteeKind": "human",
      "inviteeMembershipId": "039a5665-2b57-4b8e-be24-0203acb8a220",
      "inviteeProfilePictureUrl": "string",
      "respondedAt": "2019-08-24T14:15:22Z",
      "roleDocumentId": "a94e1437-edb5-4d8f-8082-8e6bfd97d885",
      "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
      "status": "pending",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Create Room Invitation

POST
/api/v1/rooms/{room_id}/invitations

Path Parameters

room_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

inviteeKind*string
Value in"human" | "agent"
inviteeMembershipId?|
roleDocumentId?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/invitations" \  -H "Content-Type: application/json" \  -d '{    "inviteeKind": "human"  }'
{
  "acceptedParticipantId": "a2067398-5a3a-4f71-982b-40bf53ea56c6",
  "createdAt": "2019-08-24T14:15:22Z",
  "expiresAt": "2019-08-24T14:15:22Z",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "invitedByMembershipId": "88a2d65b-ea5c-4597-9597-76e221511c17",
  "inviteeKind": "human",
  "inviteeMembershipId": "039a5665-2b57-4b8e-be24-0203acb8a220",
  "respondedAt": "2019-08-24T14:15:22Z",
  "roleDocumentId": "a94e1437-edb5-4d8f-8082-8e6bfd97d885",
  "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
  "status": "pending",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Accept Room Invitation

POST
/api/v1/rooms/{room_id}/invitations/{invitation_id}/accept

Path Parameters

room_id*string
Formatuuid
invitation_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/invitations/497f6eca-6276-4993-bfeb-53cbbbba6f08/accept"
{
  "acceptedParticipantId": "a2067398-5a3a-4f71-982b-40bf53ea56c6",
  "createdAt": "2019-08-24T14:15:22Z",
  "expiresAt": "2019-08-24T14:15:22Z",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "invitedByMembershipId": "88a2d65b-ea5c-4597-9597-76e221511c17",
  "inviteeKind": "human",
  "inviteeMembershipId": "039a5665-2b57-4b8e-be24-0203acb8a220",
  "respondedAt": "2019-08-24T14:15:22Z",
  "roleDocumentId": "a94e1437-edb5-4d8f-8082-8e6bfd97d885",
  "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
  "status": "pending",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

List Room Invite Candidates

GET
/api/v1/rooms/{room_id}/invite-candidates

Path Parameters

room_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/invite-candidates"
{
  "items": [
    {
      "description": "string",
      "displayName": "string",
      "kind": "human",
      "membershipId": "8072cc74-4782-4f2c-827c-699c48ce2092",
      "profilePictureUrl": "string",
      "roleDocumentId": "a94e1437-edb5-4d8f-8082-8e6bfd97d885",
      "status": "string",
      "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
      "version": 0
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Leave Room

POST
/api/v1/rooms/{room_id}/leave

Path Parameters

room_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/leave"
{
  "agentEnabled": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "displayName": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "joinedAt": "2019-08-24T14:15:22Z",
  "leftAt": "2019-08-24T14:15:22Z",
  "membershipId": "8072cc74-4782-4f2c-827c-699c48ce2092",
  "participantKind": "human",
  "profilePictureUrl": "string",
  "roleDocumentId": "a94e1437-edb5-4d8f-8082-8e6bfd97d885",
  "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Post Room Message

POST
/api/v1/rooms/{room_id}/messages

Path Parameters

room_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

body*string
Length1 <= length
idempotencyKey*string
Length1 <= length <= 200

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages" \  -H "Content-Type: application/json" \  -d '{    "body": "string",    "idempotencyKey": "string"  }'
{
  "actorDisplayName": "string",
  "actorKind": "human",
  "actorMembershipId": "16033ad1-9c3d-49dc-9a68-609e247a4a10",
  "actorRoleDocumentVersion": 0,
  "actorRoleDocumentVersionId": "7ffda541-62bc-4e2d-810d-6aa45fc45cc8",
  "body": "string",
  "bodyFormat": "plain_text",
  "branchedFromMessageId": "eb13d42d-dabb-4946-9603-beba4eddf9bc",
  "createdAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "editedAt": "2019-08-24T14:15:22Z",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "refs": [
    {
      "displayName": "string",
      "targetId": "cbca1126-180e-4334-9df8-cf82289d378b",
      "targetKind": "human"
    }
  ],
  "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
  "runSummary": {},
  "seq": 0,
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Edit Room Message

PATCH
/api/v1/rooms/{room_id}/messages/{message_id}

Path Parameters

room_id*string
Formatuuid
message_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

body*string
Length1 <= length
idempotencyKey*string
Length1 <= length <= 200

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "body": "string",    "idempotencyKey": "string"  }'
{
  "actorDisplayName": "string",
  "actorKind": "human",
  "actorMembershipId": "16033ad1-9c3d-49dc-9a68-609e247a4a10",
  "actorRoleDocumentVersion": 0,
  "actorRoleDocumentVersionId": "7ffda541-62bc-4e2d-810d-6aa45fc45cc8",
  "body": "string",
  "bodyFormat": "plain_text",
  "branchedFromMessageId": "eb13d42d-dabb-4946-9603-beba4eddf9bc",
  "createdAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "editedAt": "2019-08-24T14:15:22Z",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "refs": [
    {
      "displayName": "string",
      "targetId": "cbca1126-180e-4334-9df8-cf82289d378b",
      "targetKind": "human"
    }
  ],
  "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
  "runSummary": {},
  "seq": 0,
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Delete Room Message

DELETE
/api/v1/rooms/{room_id}/messages/{message_id}

Path Parameters

room_id*string
Formatuuid
message_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X DELETE "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "actorDisplayName": "string",
  "actorKind": "human",
  "actorMembershipId": "16033ad1-9c3d-49dc-9a68-609e247a4a10",
  "actorRoleDocumentVersion": 0,
  "actorRoleDocumentVersionId": "7ffda541-62bc-4e2d-810d-6aa45fc45cc8",
  "body": "string",
  "bodyFormat": "plain_text",
  "branchedFromMessageId": "eb13d42d-dabb-4946-9603-beba4eddf9bc",
  "createdAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "editedAt": "2019-08-24T14:15:22Z",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "refs": [
    {
      "displayName": "string",
      "targetId": "cbca1126-180e-4334-9df8-cf82289d378b",
      "targetKind": "human"
    }
  ],
  "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
  "runSummary": {},
  "seq": 0,
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

List Room Participants

GET
/api/v1/rooms/{room_id}/participants

Path Parameters

room_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/participants"
{
  "items": [
    {
      "agentEnabled": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "displayName": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "joinedAt": "2019-08-24T14:15:22Z",
      "leftAt": "2019-08-24T14:15:22Z",
      "membershipId": "8072cc74-4782-4f2c-827c-699c48ce2092",
      "participantKind": "human",
      "profilePictureUrl": "string",
      "roleDocumentId": "a94e1437-edb5-4d8f-8082-8e6bfd97d885",
      "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Remove Room Participant

DELETE
/api/v1/rooms/{room_id}/participants/{participant_id}

Path Parameters

room_id*string
Formatuuid
participant_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X DELETE "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/participants/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "agentEnabled": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "displayName": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "joinedAt": "2019-08-24T14:15:22Z",
  "leftAt": "2019-08-24T14:15:22Z",
  "membershipId": "8072cc74-4782-4f2c-827c-699c48ce2092",
  "participantKind": "human",
  "profilePictureUrl": "string",
  "roleDocumentId": "a94e1437-edb5-4d8f-8082-8e6bfd97d885",
  "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Update Room Agent Role

PATCH
/api/v1/rooms/{room_id}/participants/{participant_id}/agent-role

Path Parameters

room_id*string
Formatuuid
participant_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

roleDocumentId*string
Formatuuid

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/participants/497f6eca-6276-4993-bfeb-53cbbbba6f08/agent-role" \  -H "Content-Type: application/json" \  -d '{    "roleDocumentId": "a94e1437-edb5-4d8f-8082-8e6bfd97d885"  }'
{
  "agentEnabled": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "displayName": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "joinedAt": "2019-08-24T14:15:22Z",
  "leftAt": "2019-08-24T14:15:22Z",
  "membershipId": "8072cc74-4782-4f2c-827c-699c48ce2092",
  "participantKind": "human",
  "profilePictureUrl": "string",
  "roleDocumentId": "a94e1437-edb5-4d8f-8082-8e6bfd97d885",
  "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Update Room Rules

PATCH
/api/v1/rooms/{room_id}/rules

Path Parameters

room_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

rulesDocumentId*|

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/rules" \  -H "Content-Type: application/json" \  -d '{    "rulesDocumentId": "d4ac63fa-026f-4a3e-a7a6-0fe06012b8e5"  }'
{
  "accessPolicy": "invite_only",
  "actorIsOwner": true,
  "actorIsParticipant": true,
  "actorPendingInvitationId": "0144f240-2a8d-4196-ad5a-b485459435f9",
  "archivedAt": "2019-08-24T14:15:22Z",
  "archivedByDisplayName": "string",
  "archivedByKind": "human",
  "archivedByMembershipId": "fcd2cf51-37f5-43e3-8e1a-0f94165f4caa",
  "archivedByRoleDocumentVersionId": "30daefbe-f17f-472c-9430-4931cda8ef93",
  "createdAt": "2019-08-24T14:15:22Z",
  "createdByDisplayName": "string",
  "createdByKind": "human",
  "createdByMembershipId": "33f683e0-0219-4c3c-893d-39990974287d",
  "createdByRoleDocumentVersionId": "034f09a0-770a-4215-9816-7915f896ba01",
  "description": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "participants": [
    {
      "agentEnabled": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "displayName": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "joinedAt": "2019-08-24T14:15:22Z",
      "leftAt": "2019-08-24T14:15:22Z",
      "membershipId": "8072cc74-4782-4f2c-827c-699c48ce2092",
      "participantKind": "human",
      "profilePictureUrl": "string",
      "roleDocumentId": "a94e1437-edb5-4d8f-8082-8e6bfd97d885",
      "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "rulesDocumentId": "d4ac63fa-026f-4a3e-a7a6-0fe06012b8e5",
  "state": "active",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

List Room Run Tool Events

GET
/api/v1/rooms/{room_id}/runs/{run_id}/tool-events

Path Parameters

room_id*string
Formatuuid
run_id*string
Formatuuid

Query Parameters

afterSeq?|
limit?integer
Default100
Range1 <= value <= 200

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/tool-events"
{
  "items": [
    {
      "createdAt": "2019-08-24T14:15:22Z",
      "payload": {
        "completedAt": "2019-08-24T14:15:22Z",
        "durationMs": 0,
        "linkedRunIds": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ],
        "roleDocumentVersionId": "9c5657e5-ecfb-4d0b-8da3-2fd0a3dbe20f",
        "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
        "roomParticipantId": "a1fe93bb-95f0-49cc-a6c0-be04ed8aa50a",
        "runId": "78c33d18-170c-44d3-a227-b3194f134f73",
        "startedAt": "2019-08-24T14:15:22Z",
        "status": "started",
        "toolCallId": "string",
        "toolName": "string"
      },
      "schemaVersion": 0,
      "seq": 0,
      "type": "room.created"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

List Room Timeline

GET
/api/v1/rooms/{room_id}/timeline

Path Parameters

room_id*string
Formatuuid

Query Parameters

beforeSeq?|
afterSeq?|
limit?integer
Default50
Range1 <= value <= 100

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/rooms/497f6eca-6276-4993-bfeb-53cbbbba6f08/timeline"
{
  "endSeq": 0,
  "hasMoreAfter": true,
  "hasMoreBefore": true,
  "items": [
    {
      "event": {
        "actor": {
          "displayName": "string",
          "kind": "string",
          "membershipId": "8072cc74-4782-4f2c-827c-699c48ce2092",
          "roleDocumentVersionId": "9c5657e5-ecfb-4d0b-8da3-2fd0a3dbe20f"
        },
        "createdAt": "2019-08-24T14:15:22Z",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "payload": {},
        "render": {
          "fallbackText": "string",
          "rendererKey": "string",
          "rendererVersion": 0,
          "slot": "string"
        },
        "schemaVersion": 0,
        "seq": 0,
        "subject": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "kind": "string"
        },
        "type": "string"
      },
      "kind": "string",
      "message": {
        "actorDisplayName": "string",
        "actorKind": "human",
        "actorMembershipId": "16033ad1-9c3d-49dc-9a68-609e247a4a10",
        "actorRoleDocumentVersion": 0,
        "actorRoleDocumentVersionId": "7ffda541-62bc-4e2d-810d-6aa45fc45cc8",
        "body": "string",
        "bodyFormat": "plain_text",
        "branchedFromMessageId": "eb13d42d-dabb-4946-9603-beba4eddf9bc",
        "createdAt": "2019-08-24T14:15:22Z",
        "deletedAt": "2019-08-24T14:15:22Z",
        "editedAt": "2019-08-24T14:15:22Z",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "refs": [
          {
            "displayName": "string",
            "targetId": "cbca1126-180e-4334-9df8-cf82289d378b",
            "targetKind": "human"
          }
        ],
        "roomId": "c3631f02-ff67-42b8-8775-18c47f52a678",
        "runSummary": {},
        "seq": 0,
        "updatedAt": "2019-08-24T14:15:22Z"
      },
      "seq": 0
    }
  ],
  "latestSeq": 0,
  "startSeq": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}